
var state = 0;


function play(sync)
{
	switch (state)
	{
	case 0 : // stopping
		master.beginElement();

		state = 2;
		btnPlay.value = 'pause';

		break;

	case 1 : // pause
		master.resumeElement();

		state = 2;
		btnPlay.value = 'pause';

		break;
	case 2 : // playing
		master.pauseElement();

		state = 1;
		btnPlay.value = 'resume';

		break;
	}

	if (wnd != undefined && sync == undefined) wnd.play(true);
}

function stop(sync)
{
	master.resetElement();

	state = 0;
	btnPlay.value = 'play';

	if (wnd != undefined && sync == undefined) wnd.stop(true);
}

function seekTimeLine(s)
{
	switch (state)
	{
	case 0 : // stopping
		master.beginElement();
	case 1 : // pause
		master.seekSegmentTime(s);
		master.pauseElement();

		state = 1;
		btnPlay.value = 'resume';

		break;
	case 2 : // playing
		master.seekSegmentTime(s);

		break;
	}

	if (wnd != undefined) wnd.seekTimeLine(s);
}
