
function addVolumeControler(audio, begin, dur, values, keyTimes, keySplines)
{
//alert(audio.name + '#' + begin + '#' + dur + '#' + values + '#' + keyTimes + '#' + keySplines);

if (begin == undefined) begin = 2.5;
if (dur == undefined) dur = 20;
if (values == undefined) values = '100; 0';
if (keyTimes == undefined) keyTimes = '0; 1';
if (keySplines == undefined) keySplines = '1 0 0 1';


	var volcPanel = lines.all['kv' + audio.name];
	var active = lines.all['active' + audio.name];

	var id = addVolumePath(volcPanel, values, keyTimes, keySplines); // addVolumePathŎgڔID炤iVolumen̗vf֘At邽߁j

	var str = '';

	str += '<span id="volc_b_' + id + '" class="volc_b" title="' + dur + ' [s]" onselectstart="cancelSelectStart();" onmousemove="volume_mm(this);" onmousedown="volume_md(this);" onmouseup="volume_mu(this, volc_' + id + ');" style="left: ' + (begin * factor) + 'px; width: ' + (dur * factor) + 'px;"> ' + (volcPanel.maxlength - 1) + '</span>\n';
	active.innerHTML += str;

	str = '<t:animate id="volc_' + id + '" targetElement="' + audio.id + '" begin="' + audio.id + '.begin + ' + begin + 's" dur="' + dur + 's" attributeName="volume" fill="hold" calcMode="spline" values="' + values + '" keyTimes="' + keyTimes + '" keySplines="' + keySplines + '"/>';
	audio.innerHTML += str;
}


function deleteVolumeControler(panel)
{
	var volcPaths = panel.children;
	var line = panel.parentNode;

	for (i = 1; i < volcPaths.length; i++)
	{
		volcPath = volcPaths(i);
		chk = volcPath.all['volc_c_' + volcPath.name];
		if (chk.checked == true) {
			band = line.all['volc_b_' + volcPath.name];
			volc = master.all['volc_' + volcPath.name];

			band.parentNode.removeChild(band);
			volc.parentNode.removeChild(volc);
			panel.removeChild(volcPath);

			for (j = i; j < volcPaths.length; j++) {
				volcPaths(j).style.posLeft -= (kS_width);
			}

			i--;
		}
	}

}

function setMaterVolume(audio, value)
{
	if (audio != null) audio.volume = value;
}

function volume_md(obj)
{
	x = event.clientX;
	offset = event.offsetX;

	if (offset < 10)
		m = 1;
	else if (offset > (event.srcElement.style.posWidth -10))
		m = 2;
	else
		m = 0;

	event.cancelBubble = true;
	obj.setCapture();
}

function volume_mm(obj)
{
	if (event.button) {
		switch (m) {
		case 0 :
			obj.style.posLeft += event.clientX - x;

			break;
		case 1 :
			obj.style.posLeft += event.clientX - x;
			obj.style.posWidth -= event.clientX - x;

			break;
		case 2 :
			obj.style.posWidth += event.clientX - x;

			break;
		}
		event.cancelBubble = true;
		x = event.clientX;
		if (obj.style.posLeft < 0) obj.style.posLeft = 0;
		if (obj.parentElement.style.posWidth < (obj.style.posLeft + obj.style.posWidth)) obj.style.posLeft = obj.parentElement.style.posWidth - obj.style.posWidth - 2

		oNotice.innerText="begin: " + (obj.style.posLeft / factor) + '(' + ((obj.style.posLeft + obj.parentNode.style.posLeft) / factor) + ') [s], dur: ' + (obj.style.posWidth / factor) + ' [s]';
	}
}

function volume_mu(obj, volc)
{
	obj.releaseCapture();

	with (volc) {
		begin = targetElement + '.begin + ' + ((obj.style.posLeft) / factor) + 's';
		dur = ((obj.style.posWidth) / factor) + 's';
	}

	obj.title = (obj.style.posWidth / factor) + " [s]";

	oNotice.innerText="begin: " + (obj.style.posLeft / factor) + '(' + ((obj.style.posLeft + obj.parentNode.style.posLeft) / factor) + ') [s], dur: ' + (obj.style.posWidth / factor) + ' [s]';
	event.cancelBubble = true;
}

function notifyVolumePath(id, from, to, x0, y0, x1, y1)
{
var volc = master.all['volc_' + id];

volc.keySplines =
	((Math.round(x0 * 100)) / 100) + ' ' +
	((Math.round(y0 * 100)) / 100) + ' ' +
	((Math.round(x1 * 100)) / 100) + ' ' +
	((Math.round(y1 * 100)) / 100)
;

volc.values = from + '; ' + to;
volc.resetElement();
}
