
var count = 0;
var id = 0;
var base = 0;
var height = 60;

var expanding = 0;
var arrIDs = new Array();

var expand = sMM_dir + 'expand.png';
var collapse = sMM_dir + 'collapse.png';

var factor = 2;


function addTimeLine(src, begin, dur, clipBegin, clipEnd, volume)
{
//alert(src + '#\r\n' + begin + '#' + clipBegin + '#' + clipEnd + '#' + volume);

//if (src == '') return;
if (clipBegin == undefined) clipBegin = 2.5;
if (clipEnd == undefined) clipEnd = clipBegin + 30;
if (begin == undefined) begin = 0 + clipBegin;
if (dur == undefined) dur = 100;

	if(id == 0) sMM_start();


	count++;
	id++;
	arrIDs[id] = id;

	var re = /(.+)\.(.+)/; re.exec(src);

	var line = '';

	switch (RegExp.$2) {
	case 'png' :
	case 'jpeg':
	case 'jpg' :
	case 'gif' :
	case 'txt' :
	case 'htm' :
	case 'html':
	case 'xml' :
	case 'svg' :
	case 'svgz':
		line += '<div class="line" id="line' + id + '" style="top:' + (base + height * (count - 1) + 80 * expanding) + 'px;">\n';
		line += '	<label for="checkbox' + id + '" style="position:absolute; top:9px; left:10px; white-space: nowrap;"><input id="checkbox' + id + '" type="checkbox"/>visual line ' + id + '</label>\n';

		line += '	<span class="timeline" id="timeline' + id + '">\n';
		line += '		<span class="media" id="media' + id + '" onselectstart="cancelSelectStart();" onmousedown="text_md(this);" onmousemove="text_mm(this);" onmouseup="text_mu(this, audio' + id + ');" style="left: ' + (begin * factor) + 'px; width: ' + (dur * factor) + 'px">\n';
		line += '		</span>\n';
		line += '	</span>\n';

		line += '	<img class="fimg" src="' + collapse + '" title="Show visual contents panel" onmousedown="showLineOption(this, ' + id + ', kv' + id + ');">\n';
		line += '	<div class="kv" id="kv' + id + '" maxlength="1">\n';
		line += '		<div>\n';
		line += '			<input type="button" value="add..." title="Add visual content" style="top:1px; left:1px;" onclick="addVisualMedia(audio' + id + ', null, ' + begin + ', 10);"/>\n';
		line += '			<input type="button" value="delete" title="Delete checked visual content" style="top:24px; left:1px;" onclick="deleteVisualMedia(kv' + id + ')"/>\n';
		line += '			<input type="button" value="update" title="Refresh visual content" style="top:47px; left:1px;" onclick=""/>\n';
		line += '		</div>\n';
		line += '	</div>\n';
		line += '</div>\n';
		//alert(line);
		lines.innerHTML += line;


		var audio = document.createElement('t:par');
		audio.setAttribute('id', 'audio' + id);
		audio.setAttribute('name', id);
		audio.setAttribute('begin', begin);
		audio.setAttribute('fill', 'remove');

		master.appendChild(audio);
		if (wnd != undefined) wnd.notifyAddContainer(audio);
		audio.resetElement();

		addVisualMedia(audio, src, begin, 10);

		break;

/*	case '' :
 *		break;
 */
	default :
		line += '<div class="line" id="line' + id + '" style="top:' + (base + height * (count - 1) + 80 * expanding) + 'px;">\n';
		line += '	<label for="checkbox' + id + '" style="position:absolute; top:9px; left:10px; white-space: nowrap;"><input id="checkbox' + id + '" type="checkbox"/>audio line ' + id + '</label>\n';
		line += '	<div style="position:absolute; top:31; left:10;">\n';
		line += '		<control:slider title="master volume controler - ' + id + '" onchange="setMaterVolume(audio' + id + ', this.value);" value="90" dynamic="1" min="0" tickInterval="5" tickNumber="21"/>\n';
		line += '	</div>\n';

		line += '	<span class="title" id="label' + id + '"></span>\n';

		line += '	<span class="volline">volume line</span>\n';
		line += '	<span class="timeline" id="timeline' + id + '">\n';
		line += '		<span class="media" id="media' + id + '" onselectstart="cancelSelectStart();" onmousemove="media_mm(this);" onmousedown="media_md(this);" onmouseup="media_mu(this, audio' + id + ');" style="left: ' + ((begin - clipBegin) * factor) + 'px;">\n';
		line += '			<span class="active" id="active' + id + '" onselectstart="cancelSelectStart();" onmousemove="active_mm(this);" onmousedown="active_md(this);" onmouseup="active_mu(this, audio' + id + ');" style="left: ' + (clipBegin * factor) + 'px; width: ' + ((clipEnd - clipBegin) * factor) + 'px;" title="' + ((clipEnd - clipBegin) * factor) + ' [s]"></span>\n';
		line += '		</span>\n';
		line += '	</span>\n';

		line += '	<img class="fimg" src="' + collapse + '" title="Show volume controling panel" onmousedown="showLineOption(this, ' + id + ', kv' + id + ');">\n';
		line += '	<div class="kv" id="kv' + id + '" maxlength="1">\n';
		line += '		<div>\n';
		line += '			<input type="button" value="add" title="Add volume controler" style="top:1px; left:1px;" onclick="addVolumeControler(audio' + id + ');"/>\n';
		line += '			<input type="button" value="delete" title="Delete checked volume controler" style="top:24px; left:1px;" onclick="deleteVolumeControler(kv' + id + ')"/>\n';
		line += '		</div>\n';
		line += '	</div>\n';
		line += '</div>\n';
		//alert(line);
		lines.innerHTML += line;


		var audio = document.createElement('t:audio');
		audio.setAttribute('id', 'audio' + id);
		audio.setAttribute('name', id);
		audio.setAttribute('begin', begin);
		audio.setAttribute('clipBegin', clipBegin);
		audio.setAttribute('clipEnd', clipEnd);
		audio.setAttribute('fill', 'remove');
		audio.setAttribute('onmediacomplete', 'setBandInfo();');
		//audio.setAttribute('player', '{22d6f312-b0f6-11d0-94ab-0080c74c7e95}');
		//audio.setAttribute('player', 'DMusic');
		audio.setAttribute('src', src);

		master.appendChild(audio);
		audio.attachEvent('onmediacomplete', setBandInfo);
		audio.resetElement();
	}


	baseTimeBar.style.posHeight = height * count + 17 + 80 * expanding;
	baseTimeBar.style.visibility = "visible";

	currentTimeBar.style.posHeight = height * count + 17 + 80 * expanding;
	currentTimeBar.style.visibility = "visible";

	currentTimePicker.style.posHeight = height * count + 17 + 80 * expanding;
	currentTimePicker.style.visibility = "visible";

	return master.all['audio' + id];
}

function deleteTimeline()
{
	for (i = 1; i <= id; i++) {
		if (arrIDs[i] == i) {
			chk = document.getElementById('checkbox' + i);
			if (chk.checked == true) {
				lc = lines.children('line' + i);
				if (lc.children('kv' + i).style.visibility == 'visible') {
					h = 80; expanding--;
				} else {
					h = 0;
				}
				lines.removeChild(lc);

				master.removeChild(master.children('audio' + i));

				arrIDs[i] = 0; count--;

				for (j = i + 1; j <= id; j++) {
					if (arrIDs[j] == j) {
						lines.children('line' + j).style.posTop -= (height + h);
					}
				}
			}
		}
	}

	baseTimeBar.style.posHeight = height * count + 17 + 80 * expanding;
	currentTimeBar.style.posHeight = height * count + 17 + 80 * expanding;
}

function setTimeLineTime()
{
	if ((event.offsetY > (base - 15)) && id) {
		if (event.offsetX > baseTimeBar.offsetLeft)
			seekTimeLine((event.offsetX - baseTimeBar.offsetLeft) / factor);
		else
			seekTimeLine(0);
	}
}

var x;

function timepicker(obj)
{
	//var obj = event.srcElement;
//alert(window.event.type);
	switch(window.event.type)
	{
	case 'mousedown' :
		x = event.clientX;

		event.cancelBubble = true;
		obj.setCapture();

		break;

	case 'mousemove' :
		if (event.button) {
			obj.style.posLeft += event.clientX - x;
			x = event.clientX;

			if (obj.style.posLeft < (baseTimeBar.style.posLeft + lines.offsetLeft)) obj.style.posLeft = baseTimeBar.style.posLeft + lines.offsetLeft;
			event.cancelBubble = true;
		}

		break;

	case 'mouseup' :
		obj.releaseCapture();
		seekTimeLine((obj.style.posLeft - (baseTimeBar.style.posLeft + lines.offsetLeft)) / factor);

		event.cancelBubble = true;

		break;
	}
}


function showLineOption(obj, index, opt)
{
	if (opt.style.visibility == 'visible') {
		opt.style.visibility = 'hidden';
		obj.src = collapse;
		obj.title = "Show volume controling panel";

		for (i = index + 1; i <= id; i++) {
			if (arrIDs[i] == i) {
				document.getElementById('line' + i).style.posTop -= 80;
			}
		}

		baseTimeBar.style.posHeight -= 80;
		currentTimeBar.style.posHeight -= 80;
		expanding--;
	} else {
		opt.style.visibility = 'visible';
		obj.src = expand;
		obj.title = "Hide volume controling panel";

		for (i = index + 1; i <= id; i++) {
			if (arrIDs[i] == i) {
				document.getElementById('line' + i).style.posTop += 80;
			}
		}
		baseTimeBar.style.posHeight += 80;
		currentTimeBar.style.posHeight += 80;
		expanding++;
	}
}
