



function addVisualMedia(audio, src, begin, dur)
{
	var media = lines.all['media' + audio.name];
	var panel = lines.all['kv' + audio.name];
	var content = '';

	content += '<div class="layout">\n';
	content += '  ' + ((src != null) ? '<image src="' + src + '"/>' : '(tagged text)') + '\n';
	content += '</div>\n';

	// add content panel
	var c = audio.name + '_' + (++panel.maxlength - 1);
	var cp = '';

	cp += '<div name="' + c + '" style="top:0px; left:' + (kS_base + kS_width * (panel.children.length - 1)) + 'px;">';
	cp += '	<input id="visualc_' + c + '_chk" type="checkbox"/><label for="visualc_chk_' + c + '" style="top:3px;left:20px;white-space: nowrap;">visual content - ' + (panel.maxlength - 1) + '</label>';
	cp += '	<textarea id="visualc_' + c + '_txt" onblur="notifyContent(visualc_' + c + ', this.value);" wrap="off" style="top:20px; height:80px; width:140px;">' + content + '</textarea>';
	cp += '</div>';
	//alert(spline);
	panel.innerHTML += cp;

	panel.style.posWidth += kS_width;


	// add SMIL object
	var visual = document.createElement('t:par');
	visual.setAttribute('class', 'time');
	visual.setAttribute('id', 'visualc_' + c);
	visual.setAttribute('timeaction', 'display');
	visual.setAttribute('begin', begin);
	visual.setAttribute('dur', dur);
		visual.innerHTML = '' + content + '';

	audio.appendChild(visual);
	if (wnd != undefined) wnd.notifyAddElement(audio, visual);
	visual.resetElement();
	audio.resetElement();

	// add representing band
	var active = '';
	active += '<span class="active" id="active' + c + '" onselectstart="cancelSelectStart();" onmousemove="active_mm(this);" onmousedown="active_md(this);" onmouseup="active_mu(this, ' + visual.id + ');" style="left: ' + (begin * factor) + 'px; width: ' + ((dur) * factor) + 'px;" title="' + (dur) + ' [s]">' + (panel.maxlength - 1) + '</span>\n';

	media.innerHTML += active;
}

function deleteVisualMedia(panel)
{












}


function notifyContent(visual, content)
{
	visual.innerHTML = '' + content + '';
}

function updateContent(id, content)
{
	//var panel = lines.all['kv' + id];
	var visual = master.all[id];
//alert(panel);
	lines.all[id + '_txt'].value = content;
	visual.innerHTML = content;

	if (wnd != undefined) wnd.noyifyElement(visual);
}
