
var kS_x, kS_y;
var kS_width = 150;
var kS_base = 60;

var kS_max = 60;


function addVolumePath(panel, values, keyTimes, keySplines)
{
//alert(panel + '#' + values + '#' + keyTimes + '#' + keySplines);

var arr;

arr = values.split(/(;| )/, 2);
var from = arr[0];
var to = arr[1];

arr = keySplines.split(/(,| )/, 4);
var x1 = math_round(arr[0] * 60, 0);
var y1 = math_round(arr[1] * 60, 0);
var x2 = math_round(arr[2] * 60, 0);
var y2 = math_round(arr[3] * 60, 0);

var c = (++panel.maxlength) - 1;
var id = c + panel.uniqueID;
var volc_p_id = 'volc_p_' + id;

	var spline = '';

	spline += '<div name="' + id + '" style="top:0px; left:' + (kS_base + kS_width * (panel.children.length - 1)) + 'px;">';
	spline += '	<input id="volc_c_' + id + '" type="checkbox"/><label for="volc_c_' + id + '" style="top:3px;left:20px;white-space: nowrap;">volume controler - ' + c + '</label>';
	spline += '	<v:group style="top:23px;width:60px; height:60px;antialias:true; flip:y;" coordsize="60, 60" coordorigin="0, 0">';
	spline += '		<v:rect style="width:60; height:60;" fillcolor="white" strokecolor="silver" strokeweight="1px"/>';
	spline += '		<v:shape name="' + id + '" x1="' + x1 + '" y1="' + y1 + '" x2="' + x2 + '" y2="' + y2 + '" id="' + volc_p_id + '" style="width:60; height:60;" strokecolor="blue" strokeweight="2px" path="m 0,0 c ' + x1 + ',' + y1 + ' ' + x2 + ',' + y2 + ' 60,60 e"/>';
	spline += '		<v:line id="bar1_' + id + '" style="position:relative;" from="0, 0" to="' + x1 + ', ' + y1 + '" strokecolor="red" strokeweight="1px" onselectstart="cancelSelectStart();" onmousedown="bar1_md(this, ' + volc_p_id + ');" onmousemove="bar1_mm(this, ' + volc_p_id + ');" onmouseup="bar1_mu(this, ' + volc_p_id + ');">';
	spline += '			<v:stroke endarrow="oval"/>';
	spline += '		</v:line>';
	spline += '		<v:line id="bar2_' + id + '" style="position:relative;" from="60, 60" to="' + x2 + ', ' + y2 + '" strokecolor="red" strokeweight="1px" onselectstart="cancelSelectStart();" onmousedown="bar1_md(this, ' + volc_p_id + ');" onmousemove="bar2_mm(this, ' + volc_p_id + ');" onmouseup="bar2_mu(this, ' + volc_p_id + ');">';
	spline += '			<v:stroke endarrow="oval"/>';
	spline += '		</v:line>';
	spline += '		<v:shape style="top:10px; left:0px;">';
	spline += '			<v:textbox id="volc_from_ref_' + id + '">' + from + '</v:textbox>';
	spline += '		</v:shape>';
	spline += '		<v:shape style="top:53px; left:60px;">';
	spline += '			<v:textbox id="volc_to_ref_' + id + '">' + to + '</v:textbox>';
	spline += '		</v:shape>';
	spline += '	</v:group>';
	spline += '	<label for="volc_from_' + id + '" style="top:40px;left:66px;">from: <input id="volc_from_' + id + '" type="text" value="' + from + '" maxlength="3" size="2"/></label>';
	spline += '	<label for="volc_to_' + id + '" style="top:61px;left:78px;">to: <input id="volc_to_' + id + '" type="text" value="' + to + '" maxlength="3" size="2"/></label>';
	spline += '</div>';
	//alert(spline);
	panel.innerHTML += spline;

	panel.style.posWidth += kS_width;


	return id;
}

function bar1_md(obj, volc_p)
{
	kS_x = event.clientX;
	kS_y = event.clientY;

	//alert(volc_p.x1);
	event.cancelBubble = true;
	obj.setCapture();
}

function bar1_mm(obj, volc_p)
{
	if (event.button) {
		volc_p.x1 = Number(volc_p.x1) + (event.clientX - kS_x);
		volc_p.y1 = Number(volc_p.y1) - (event.clientY - kS_y);
		obj.to = volc_p.x1 + ', ' + volc_p.y1;
		volc_p.path = 'm 0,0 c ' + volc_p.x1 + ',' + volc_p.y1 + ' ' + volc_p.x2 + ',' + volc_p.y2 + ' 60,60 e';

		kS_x = event.clientX;
		kS_y = event.clientY;
		if (volc_p.x1 > kS_max) volc_p.x1 = kS_max;
		if (volc_p.x1 < 0) volc_p.x1 = 0;
		if (volc_p.y1 > kS_max) volc_p.y1 = kS_max;
		if (volc_p.y1 < 0) volc_p.y1 = 0;
	}

	//window.status = "kS_x: " + event.offsetX + " kS_y: " + event.offsetY;
	event.cancelBubble = true;
}

function bar2_mm(obj, volc_p)
{
	if (event.button) {
		volc_p.x2 = Number(volc_p.x2) + (event.clientX - kS_x);
		volc_p.y2 = Number(volc_p.y2) - (event.clientY - kS_y);
		obj.to = volc_p.x2 + ', ' + volc_p.y2;
		volc_p.path = 'm 0,0 c ' + volc_p.x1 + ',' + volc_p.y1 + ' ' + volc_p.x2 + ',' + volc_p.y2 + ' 60,60 e';

		kS_x = event.clientX;
		kS_y = event.clientY;
		if (volc_p.x2 > kS_max) volc_p.x2 = kS_max;
		if (volc_p.x2 < 0) volc_p.x2 = 0;
		if (volc_p.y2 > kS_max) volc_p.y2 = kS_max;
		if (volc_p.y2 < 0) volc_p.y2 = 0;
	}

	//window.status = "kS_x: " + event.offsetX + " kS_y: " + event.offsetY;
	event.cancelBubble = true;
}

function bar1_mu(obj, volc_p)
{
	obj.releaseCapture();

	if (volc_p.x1 > kS_max) volc_p.x1 = kS_max;
	if (volc_p.x1 < 0) volc_p.x1 = 0;
	if (volc_p.y1 > kS_max) volc_p.y1 = kS_max;
	if (volc_p.y1 < 0) volc_p.y1 = 0;
	obj.to =  volc_p.x1 + ', ' + volc_p.y1;
	volc_p.path = 'm 0,0 c ' + volc_p.x1 + ',' + volc_p.y1 + ' ' + volc_p.x2 + ',' + volc_p.y2 + ' 60,60 e';

	//window.status = volc_p.path;
	event.cancelBubble = true;


	var p = obj.parentNode;
	var pp = p.parentNode;

	var from = pp.all['volc_from_' + volc_p.name].value;
	var to = pp.all['volc_to_' + volc_p.name].value;
	p.all['volc_from_ref_' + volc_p.name].innerText = from;
	p.all['volc_to_ref_' + volc_p.name].innerText = to;

	notifyVolumePath(volc_p.name, from, to, (volc_p.x1 / kS_max), (volc_p.y1 / kS_max), (volc_p.x2 / kS_max), (volc_p.y2 / kS_max));
}

function bar2_mu(obj, volc_p)
{
	obj.releaseCapture();

	if (volc_p.x2 > kS_max) volc_p.x2 = kS_max;
	if (volc_p.x2 < 0) volc_p.x2 = 0;
	if (volc_p.y2 > kS_max) volc_p.y2 = kS_max;
	if (volc_p.y2 < 0) volc_p.y2 = 0;
	obj.to =  volc_p.x2 + ', ' + volc_p.y2;
	volc_p.path = 'm 0,0 c ' + volc_p.x1 + ',' + volc_p.y1 + ' ' + volc_p.x2 + ',' + volc_p.y2 + ' 60,60 e';
	// volc_p.path.segments.item(0).x(0); //m 0,00

	//window.status = volc_p.path;
	event.cancelBubble = true;


	var p = obj.parentNode;
	var pp = p.parentNode;

	var from = pp.all['volc_from_' + volc_p.name].value;
	var to = pp.all['volc_to_' + volc_p.name].value;
	p.all['volc_from_ref_' + volc_p.name].innerText = from;
	p.all['volc_to_ref_' + volc_p.name].innerText = to;

	notifyVolumePath(volc_p.name, from, to, (volc_p.x1 / kS_max), (volc_p.y1 / kS_max), (volc_p.x2 / kS_max), (volc_p.y2 / kS_max));
}
